Get Tenant
curl --request GET \
--url https://api.glass.fm/v2/action/glasscore/tenant/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glass.fm/v2/action/glasscore/tenant/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glass.fm/v2/action/glasscore/tenant/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"isHouse": true,
"isInvoiced": true,
"name": "<string>",
"OrgId": 123,
"LegacyCompanyId": 123
}Tenant
Get Tenant
Retrieve a Tenant by ID
GET
/
v2
/
action
/
glasscore
/
tenant
/
{id}
Get Tenant
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the entity for this request.
Example:
5
Query Parameters
Comma-separated list of specific fields to return/append in the response. See isAdditionalData for more details.
Example:
"id,nameFirst,nameLast"
Set to true to merge requested fields with default response, or false/omit to return only requested fields plus ID.
Example:
true
Response
200 - application/json
Tenant
Unique identifier.
Boolean to indicate whether this is a personal account (true) or business account (false).
Boolean to indicate whether the tenant is on invoicing for payments.
Name of tenant.
ID number of tenant prior to switch to Glass App.

